Loading...
Searching...
No Matches
gtsam::traits< const EssentialMatrix > Struct Reference
Inheritance diagram for gtsam::traits< const EssentialMatrix >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< EssentialMatrix >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< EssentialMatrix >))
Public Member Functions inherited from gtsam::Testable< EssentialMatrix >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< EssentialMatrix >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< EssentialMatrix >
static TangentVector | Local (const EssentialMatrix &origin, const EssentialMatrix &other)
static EssentialMatrix | Retract (const EssentialMatrix &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< EssentialMatrix, EssentialMatrix::dimension >
static int | GetDimension (const EssentialMatrix &)
Static Public Member Functions inherited from gtsam::Testable< EssentialMatrix >
static void | Print (const EssentialMatrix &m, const std::string &str="")
static bool | Equals (const EssentialMatrix &m1, const EssentialMatrix &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< EssentialMatrix >
enum |
typedef EssentialMatrix | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/EssentialMatrix.h